#include <iostream>
#include <cstring>
using namespace std;

bool check(string s1) {
    bool a = s1 == "a" || s1 == "e" || s1 == "o" || s1 == "u" || s1 == "i" || s1 == "y";
    bool b = s1 == "A" || s1 == "E" || s1 == "O" || s1 == "U" || s1 == "I" || s1 == "Y";
    return a || b;
}

bool check1(string s) {
    string s1 = s.substr(0, 1), s2 = s.substr(1, 1), s3 = s.substr(2, 1);
    return check(s1) && s2 == "f" && s1 == s3;
}

string encode(string n) {
    string str;
    for (int i = 0; i < n.size(); i++) {
        string s = n.substr(i, 1);
        if (check(s)) {
            str.append(s + "f" + s);
        } else str.append(s);
    }
    return str;
}

string decode(string n) {
    string str;
    int i;
    for (i = 0; i < n.size() - 2; i += 3) {
        if (check1(n.substr(i, 3))) str.append(n.substr(i, 1));
        else if (i + 3 < n.size()) {if (check1(n.substr(i + 1, 3))) {str.append(n.substr(i, 2));i++;}}
        else if (i + 4 < n.size()) {if (check1(n.substr(i + 2, 3))) {str.append(n.substr(i, 3));i+=2;}}
        else str.append(n.substr(i, 3));
    }
    if (i + 1 < n.size()) {
        str.append(n.substr(i, 2));
    } else str.append(n.substr(i, 1));
    return str;
}

int main() {

    string n;
    char s;
    getline(cin, n);
    cin >> s;

    if (s == 'c') cout << encode(n);
    else if (s == 'd') cout << decode(n);

    return 0;

}
